user  http;
worker_processes  4;

# Logs
error_log              logs/error.log;
error_log              logs/error.log notice;
error_log              logs/error.log info;

events {
    worker_connections 1024;
}


http {

    include            mime.types;
    include            fastcgi.conf;
    default_type       application/octet-stream;

    server_tokens      off;
    sendfile           on;
    keepalive_timeout  65;
    gzip               on;

    # Redirect all HTTP to HTTPS
    server {

        listen 80      default_server;
        listen [::]:80 default_server;
        server_name    _;
        location / {
            return 301     https://$host$request_uri;
        }
    }

    include            ../conf.d/*.conf;
}
